Login Oauth
Use this API instead:
- /oidc/oauth2/token
An alias of the AuthenticationController's get access token method.
Access Policy
| Role | Access |
|---|---|
| Anonymous | ✔️ |
authorization
Show optional properties
{
"grant_type": "string",
"state": "string"
}
{
"grant_type": "string",
"refresh_token": "string",
"code": "string",
"state": "string",
"redirect_uri": "string",
"client_id": "string",
"client_secret": "string",
"scope": "string",
"orgId": "string"
}
The type of authorization to be performed.
The refresh token when grant_type is set to refresh_token
The authorization code when grant_type is set to authorization_code
A transparent state of the request.
The URI to which a redirect will be performed upon successful authorization.
The client ID when grant_type is set to client_credentials. Will be ignored if the Authorization header is set.
The client secret when grant_type is set to client_credentials. Will be ignored if the Authorization header is set.
Currently not supported. Present for CSP compatibility.
When grant_type is set to client_credentials if this parameter is set the issued token will be limited to the specified organization.
OK
{
"scope": "string",
"access_token": "string",
"refresh_token": "string",
"id_token": "string",
"token_type": "string",
"expires_in": 0
}
Invalid request body.
{
"scope": "string",
"access_token": "string",
"refresh_token": "string",
"id_token": "string",
"token_type": "string",
"expires_in": 0
}
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"grant_type":"string","state":"string"}' https://{api_host}/csp/gateway/am/api/login/oauth